Browse endpoints

Download an adhoc ID check certificate as PDF

GET /api/v1/adhoc-id-checks/{adhoc_id_check_uuid}/pdf operationId: adhoc-id-check.pdf

Base: https://portal.watcheye.com.au/api/v1/adhoc-id-checks/{adhoc_id_check_uuid}/pdf

Returns a verification certificate PDF for a completed adhoc ID check.

Status codes

  • 200 - the PDF certificate is returned in the response body.
  • 404 - either the adhoc ID check does not exist on the calling account, or the id_type is idpass (which does not produce a downloadable certificate).
  • 409 - the adhoc ID check has not yet reached a terminal outcome. Poll show adhoc ID check until outcome is pass or fail before retrying.

Path parameters

FieldDescription
adhoc_id_check_uuidrequired string (uuid)

The uuid of the adhoc ID check.

Responses

200

PDF certificate

application/pdf

Binary PDF file

409

The adhoc ID check has not yet completed. Poll the show endpoint until outcome is pass or fail before retrying the download.

application/json
FieldDescription
message string

Example: The adhoc ID check has not completed yet. Wait for outcome to be 'pass' or 'fail' before downloading the certificate.

Standard error responses: 401 403 404 429 5XX See common error responses